Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593893 - By default show camera's photos when plugging one
Summary: By default show camera's photos when plugging one
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 01:08 UTC by Iván Jiménez
Modified: 2011-06-27 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:29:49 UTC


Attachments (Terms of Use)
Shotwell after clicking OK (deleted)
2010-05-20 01:12 UTC, Iván Jiménez
no flags Details

Description Iván Jiménez 2010-05-20 01:08:56 UTC
Description of problem:
When plugging a camera a dialog appears asking what app to open (default is shotwell), I click OK, shotwell opens but it selects "Photos" on the left, I think it should select Mass Storage Camera because that's the obvious reason I plugged it (now it requires one more click, and it's possibly not obvious where camera's pics are).

Version-Release number of selected component (if applicable):
shotwell-0.5.2-1.fc13.x86_64
gvfs-gphoto2-1.6.1-3.fc13.x86_64
libgphoto2-2.4.8-1.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. Plug a camera (mass storage device here)
2. Click OK in dialog
3. Shotwell shows your librarys's photos 

Actual results:
Shotwell shows your librarys's photos 
  

Expected results:
Shotwell shows your camera's photos 

Additional info:

Comment 1 Iván Jiménez 2010-05-20 01:12:22 UTC
Created attachment 415293 [details]
Shotwell after clicking OK

Comment 2 Bug Zapper 2011-06-02 13:49:00 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 16:29:49 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.